ASTSCRIPT-PSF-SUBTRACT(1)

NAME
astscript-psf-subtract - Subtract a given PSF model from the image

SYNOPSIS
astscript-psf-subtract [OPTION] FITS-files

DESCRIPTION
This script is part of GNU Astronomy Utilities 0.23.

This script will place the given PSF image into a certain central position with the image and subtract it.

For more information, please run any of the following commands. In particular the first contains a very comprehensive explanation of this script's invocation: expected input(s), output(s), and a full description of all the options.

Inputs/Outputs and options:
    $ info astscript-psf-subtract

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

  astscript-psf-subtract options:

    Input:

-h, --hdu=STR
    HDU/extension of all input FITS files.

-p, --psf=STR
    PSF FITS image.

-P, --psfhdu=STR
    HDU/extension of the PSF image.

-O, --mode=STR
    Coordinates mode ('wcs' or 'img').

-c, --center=FLT,FLT
    Center coordinates of the object.

-s, --scale=FLT
    Factor by which the PSF is multiplied.

    Output:

-o, --output
    Output table with the radial profile.

-t, --tmpdir
    Directory to keep temporary files.

-k, --keeptmp
    Keep temporal/auxiliar files.

-m, --modelonly
    Give the model as output (don't subtract it).

    Operating mode:

-?, --help
    Print this help list.

--cite
    BibTeX citation for this program.

-q, --quiet
    Don't print any extra information in stdout.

-V, --version
    Print program version.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2020-2024 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Raul Infante-Sainz

SEE ALSO
The full documentation for astscript-psf-subtract is maintained as a Texinfo manual. If the info and astscript-psf-subtract programs are properly installed at your site, the command

    info astscript-psf-subtract

should give you access to the complete manual.